class VgkSettingsModel {
  VgkSettingsModel({
    this.value,
    this.type,
  });

  String value;
  String type;

  VgkSettingsModel copyWith({
    String value,
    String type,
  }) =>
      VgkSettingsModel(
        value: value ?? this.value,
        type: type ?? this.type,
      );

  factory VgkSettingsModel.fromMap(Map<String, dynamic> json) =>
      VgkSettingsModel(
        value: json["value"] == null ? "" : json["value"],
        type: json["type"] == null ? "" : json["type"],
      );
}
