class VgkCardImageWidgetModel {
  VgkCardImageWidgetModel({
    this.key,
    this.src,
    this.bgmi,
    this.global,
  });

  String key;
  String src;
  String bgmi;
  String global;

  VgkCardImageWidgetModel copyWith({
    String key,
    String src,
    String bgmi,
    String global,
  }) =>
      VgkCardImageWidgetModel(
        key: key ?? this.key,
        src: src ?? this.src,
        bgmi: bgmi ?? this.bgmi,
        global: global ?? this.global,
      );

  factory VgkCardImageWidgetModel.fromMap(Map<String, dynamic> json) =>
      VgkCardImageWidgetModel(
        key: json["key"] == null ? "" : json["key"],
        src: json["src"] == null ? "" : json["src"],
        bgmi: json["bgmi"] == null ? "" : json["bgmi"],
        global: json["global"] == null ? "" : json["global"],
      );
}
